Last modified: 2014-02-12 23:53:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29341 - The new mobile prototype shows the RTL wiki as LTR
The new mobile prototype shows the RTL wiki as LTR
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
stable (Other open bugs)
unspecified
All All
: Unprioritized normal
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2011-06-10 19:55 UTC by Amir E. Aharoni
Modified: 2014-02-12 23:53 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2011-06-10 19:55:09 UTC
If i open http://nomad.tesla.usability.wikimedia.org/rtl/ in Firefox on XP, then it is shown properly RTL with the Vector skin (the only noticeable difference are the Go and Search button near the search box).

If i try to open it using my mobile phone (Samsung Monte), it is shown LTR.
Comment 1 Amir E. Aharoni 2011-06-10 19:57:38 UTC
I should add that my phone is able to browse the regular he.m.wikipedia.org quite well - with the right mobile skin and with proper RTL.
Comment 2 Patrick Reilly 2011-06-10 22:24:16 UTC
Okay, it appears that the user agent for that particular phone was not being captured and it was deciding to send the WAP version of the mobile site. Also, the WAP based template was missing the required "dir" setting for RTL based text. This should be working now.
Comment 3 Amir E. Aharoni 2011-06-11 06:56:19 UTC
Now i get the RTL version, although it seems that i don't get the nice mobile skin, but the simple WAP version, even though my phone is able to get the nice skin.
Comment 4 Tomasz Finc 2011-06-13 19:42:27 UTC
Resolving for the RTL issues and creating a new ticket for the WAP vs smartphone layout issue.

https://bugzilla.wikimedia.org/show_bug.cgi?id=29382

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links